package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 麻精药-稽查轨迹对象 t_mjy_jcgj
 *
 * @author hxhq
 * @date 2025-12-18
 */
@TableName("t_mjy_jcgj")
public class MjyJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 麻精药id */
    private Long mjyId;

    /** 稽查轨迹类型:1:流程；3：编辑 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;

    /** 稽查名称-英文 */
    private String jcmcEn;

    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;

    /** 稽查内容-英文 */
    private String jcnrEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;

    public String getJcmcEn() {
        return jcmcEn;
    }

    public void setJcmcEn(String jcmcEn) {
        this.jcmcEn = jcmcEn;
    }

    public String getJcnrEn() {
        return jcnrEn;
    }

    public void setJcnrEn(String jcnrEn) {
        this.jcnrEn = jcnrEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public Long getMjyId() {
        return mjyId;
    }

    public void setMjyId(Long mjyId) {
        this.mjyId = mjyId;
    }

    public Integer getJcgjlx() {
        return jcgjlx;
    }

    public void setJcgjlx(Integer jcgjlx) {
        this.jcgjlx = jcgjlx;
    }

    public String getJcmc() {
        return jcmc;
    }

    public void setJcmc(String jcmc) {
        this.jcmc = jcmc;
    }

    public Integer getJcmcys() {
        return jcmcys;
    }

    public void setJcmcys(Integer jcmcys) {
        this.jcmcys = jcmcys;
    }

    public String getJcnr() {
        return jcnr;
    }

    public void setJcnr(String jcnr) {
        this.jcnr = jcnr;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }
}
